<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];

/* @var Ankieta $ankieta */

$answers=array();
$answers[1]="sosy w słoikach";
$answers[2]="zupy w proszku";
$answers[3]="masło (zwykłe)";
$answers[4]="masło klarowane";
$answers[5]="margaryna";
$answers[6]="olej rzepakowy ";
$answers[7]="olej słonecznikowy";
$answers[8]="olej z dodatkiem ziół";
$answers[9]="inny olej np. lniany, z pestek dyni, z orzechów, ostropestu";
$answers[10]="oliwa z oliwek";
$ankieta->writeCheckbox('S2','Proszę wskazać produkty, których Pani używa w swojej kuchni.',$answers,true,@clean($data['S2'],NULL),'NUMERIC','');



$answers=array();
$answers[1]='butelka plastikowa';
$answers[2]='butelka szklana';
$answers[3]='butelka plastikowa i szklana';
$ankieta->writeRadio('S2a','W jakich butelkach jest olej rzepakowy, którego Pani używa?',$answers,true,@clean($data['S2a']));

$answers=array();
$answers[1]="kilka razy dziennie";
$answers[2]="raz dziennie ";
$answers[3]="4-5 razy w tygodniu";
$answers[4]="2-3 razy w tygodniu";
$answers[5]="raz w tygodniu";
$answers[6]="raz na dwa tygodnie";
$answers[7]="raz na miesiąc ";
$answers[8]="raz na 3 miesiące";
$answers[9]="raz na 6 miesięcy";
$answers[10]="raz na rok";
$answers[11]="rzadziej niż raz na rok";
$ankieta->writeRadio('S2c','Jak często używa Pani oleju rzepakowego w swojej kuchni?',$answers,true,@clean($data['S2c']));




?>

<script type="text/javascript">

    $(document).ready(function() {
       disableButtons("[name=" + "WIEK" + "]");
    });

    function preSubmit() {
        var ret=checkMinMax('S3');
        if (ret) {enableButtons("[name=" + "WIEK" + "]");}

    }

    function checkMinMax(id) {
        var el = $("input[id='" + id +"']");
        var value=parseFloat(el.val(),10);
        if (value <<?php print $wiekMin;?> || value ><?php print $wiekMax;?>) {
            console.log('bad value ',value);
            el.val('');

            return false;
        }
        return true;
    }

    function recodeAge() {
        console.log('recodeAge');
        var el = $("input[id='" + "S3" +"']");
        var value=parseFloat(el.val(),10);
        if (value<18) {selectRadio('WIEK',0);}
        if (value>=18 && value <=24) {selectRadio('WIEK',1);}
        if (value>=25 && value <=29) {selectRadio('WIEK',2);}
        if (value>=30 && value <=39) {selectRadio('WIEK',3);}
        if (value>=40 && value <=60) {selectRadio('WIEK',4);}
        if (value>=61) {selectRadio('WIEK',6);}
    }


    function doLogicS11(id) {
        console.log('doLogocS11');
        $("input[name='" + 'S6[]' +"']").each(function() {
            var idx=parseFloat($(this).val(),10);
            if ($(this).prop('checked')) {
                console.log('S6_' + idx + ' checked');
                hideCheckboxElement('S11_' + idx);
            } else {
                unHideCheckboxElement('S11_' + idx);
            }
        });

    }

</script>